- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKFormula Class Reference

`#include <IWORKFormula.h>`

## Public Member Functions
| IWORKFormula ()
bool | parse (const std::string &formula)
const std::string | str () const
void | write (librevenge::RVNGPropertyListVector &formula, const IWORKTableNameMapPtr_t &tableNameMap) const

## Private Attributes
boost::shared_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

libetonyek::IWORKFormula::IWORKFormula | ( |  | ) |

## Member Function Documentation

bool libetonyek::IWORKFormula::parse | ( | const std::string & | formula | ) |

Referenced by libetonyek::IWORKFoElement::attribute().

const std::string libetonyek::IWORKFormula::str | ( |  | ) | const

void libetonyek::IWORKFormula::write | ( | librevenge::RVNGPropertyListVector & | formula,
|  | const IWORKTableNameMapPtr_t & | tableNameMap
| ) |  | const

## Member Data Documentation

boost::shared_ptr<Impl> libetonyek::IWORKFormula::m_impl
| private

The documentation for this class was generated from the following file:

- IWORKFormula.h